{# Redirects #}
{% for redirect in redirect_domains if redirect %}
{{ redirect }}  {
    redir {{ domain }}{uri}
}
{% endfor %}

# host
{{ domain }} {

    gzip
    {% if match_wildcard_domain %}
    import {{ match_wildcard_domain }}
    {% elif domain_is_wildcard %}
    tls {
        dns googlecloud
    }
    {% endif %}

    proxy / {% for endpoint in endpoints %} {{ endpoint }}:8069 {% endfor %} {
        transparent
        header_upstream X-Forwarded-Host {host}
        header_upstream X-Forwarded-Proto https
        header_upstream X-Forwarded-For {remote}
        timeout 900s
    }
    proxy /longpolling {% for endpoint in endpoints %} {{ endpoint }}:8072 {% endfor %} {
        transparent
        header_upstream X-Forwarded-Host {host}
        header_upstream X-Forwarded-Proto https
        header_upstream X-Forwarded-For {remote}
        timeout 900s
    }
}

